3

I tried to compile Monero Core for Debian platform, but I got this error

Could not find Boost libraries, please make sure you have installed
Boost or libboost-all-dev (1.58) or the equivalent.

What should I do in order to resolve this problem?

3

On Debian and Ubuntu platforms the highest available version of Boost is 1.55 . You have to download 1.58 sources and install it.

wget http://sourceforge.net/projects/boost/files/boost/1.58.0/boost_1_58_0.tar.gz 

decompress the archive

tar -xf boost_1_58_0.tar.gz

then navigate to the folder

cd boost_1_58_0

and run the bash script for configuration of building Boost

./bootstrap.sh

Finally compile!

./b2

Install by sudo ./bjam install

After installing new Boost version, execute on Monero source code folder:

make clean
make
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.